diff --git a/pgadmin/pgAdmin3.vcxproj.filters b/pgadmin/pgAdmin3.vcxproj.filters
index d18999d..d2dc0bf 100644
--- a/pgadmin/pgAdmin3.vcxproj.filters
+++ b/pgadmin/pgAdmin3.vcxproj.filters
@@ -482,1018 +584,1021 @@
       <Filter>frm</Filter>
     </ClCompile>
     <ClCompile Include="schema\edbPackage.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\edbPackageFunction.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\edbPackageVariable.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\edbPrivateSynonym.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\edbSynonym.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\gpExtTable.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\gpPartition.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\gpResQueue.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\pgAggregate.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\pgCast.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\pgCatalogObject.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\pgCheck.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\pgCollation.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\pgCollection.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\pgColumn.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\pgConstraints.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\pgConversion.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\pgDatabase.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\pgDatatype.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\pgDomain.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\pgExtension.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\pgForeignDataWrapper.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\pgForeignKey.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\pgForeignServer.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\pgForeignTable.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\pgFunction.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\pgGroup.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\pgIndex.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\pgIndexConstraint.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\pgLanguage.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\pgObject.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\pgOperator.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\pgOperatorClass.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\pgOperatorFamily.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\pgRole.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\pgRule.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\pgSchema.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\pgSequence.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\pgServer.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\pgTable.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\pgTablespace.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\pgTextSearchConfiguration.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\pgTextSearchDictionary.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\pgTextSearchParser.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\pgTextSearchTemplate.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\pgTrigger.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\pgType.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\pgUser.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\pgUserMapping.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="schema\pgView.cpp">
-      <Filter>include\schema</Filter>
+      <Filter>schema</Filter>
     </ClCompile>
     <ClCompile Include="slony\dlgRepCluster.cpp">
-      <Filter>include\slony</Filter>
+      <Filter>slony</Filter>
     </ClCompile>
     <ClCompile Include="slony\dlgRepListen.cpp">
-      <Filter>include\slony</Filter>
+      <Filter>slony</Filter>
     </ClCompile>
     <ClCompile Include="slony\dlgRepNode.cpp">
-      <Filter>include\slony</Filter>
+      <Filter>slony</Filter>
     </ClCompile>
     <ClCompile Include="slony\dlgRepPath.cpp">
-      <Filter>include\slony</Filter>
+      <Filter>slony</Filter>
     </ClCompile>
     <ClCompile Include="slony\dlgRepProperty.cpp">
-      <Filter>include\slony</Filter>
+      <Filter>slony</Filter>
     </ClCompile>
     <ClCompile Include="slony\dlgRepSequence.cpp">
-      <Filter>include\slony</Filter>
+      <Filter>slony</Filter>
     </ClCompile>
     <ClCompile Include="slony\dlgRepSet.cpp">
-      <Filter>include\slony</Filter>
+      <Filter>slony</Filter>
     </ClCompile>
     <ClCompile Include="slony\dlgRepSubscription.cpp">
-      <Filter>include\slony</Filter>
+      <Filter>slony</Filter>
     </ClCompile>
     <ClCompile Include="slony\dlgRepTable.cpp">
-      <Filter>include\slony</Filter>
+      <Filter>slony</Filter>
     </ClCompile>
     <ClCompile Include="slony\slCluster.cpp">
-      <Filter>include\slony</Filter>
+      <Filter>slony</Filter>
     </ClCompile>
     <ClCompile Include="slony\slListen.cpp">
-      <Filter>include\slony</Filter>
+      <Filter>slony</Filter>
     </ClCompile>
     <ClCompile Include="slony\slNode.cpp">
-      <Filter>include\slony</Filter>
+      <Filter>slony</Filter>
     </ClCompile>
     <ClCompile Include="slony\slPath.cpp">
-      <Filter>include\slony</Filter>
+      <Filter>slony</Filter>
     </ClCompile>
     <ClCompile Include="slony\slSequence.cpp">
-      <Filter>include\slony</Filter>
+      <Filter>slony</Filter>
     </ClCompile>
     <ClCompile Include="slony\slSet.cpp">
-      <Filter>include\slony</Filter>
+      <Filter>slony</Filter>
     </ClCompile>
     <ClCompile Include="slony\slSubscription.cpp">
-      <Filter>include\slony</Filter>
+      <Filter>slony</Filter>
     </ClCompile>
     <ClCompile Include="slony\slTable.cpp">
-      <Filter>include\slony</Filter>
+      <Filter>slony</Filter>
     </ClCompile>
     <ClCompile Include="ui\xrcDialogs.cpp">
       <Filter>ui</Filter>
     </ClCompile>
     <ClCompile Include="utils\csvfiles.cpp">
-      <Filter>include\utils</Filter>
+      <Filter>utils</Filter>
     </ClCompile>
     <ClCompile Include="utils\factory.cpp">
-      <Filter>include\utils</Filter>
+      <Filter>utils</Filter>
     </ClCompile>
     <ClCompile Include="utils\favourites.cpp">
-      <Filter>include\utils</Filter>
+      <Filter>utils</Filter>
     </ClCompile>
     <ClCompile Include="utils\macros.cpp">
-      <Filter>include\utils</Filter>
+      <Filter>utils</Filter>
     </ClCompile>
     <ClCompile Include="utils\misc.cpp">
-      <Filter>include\utils</Filter>
+      <Filter>utils</Filter>
     </ClCompile>
     <ClCompile Include="utils\pgconfig.cpp">
-      <Filter>include\utils</Filter>
+      <Filter>utils</Filter>
     </ClCompile>
     <ClCompile Include="utils\registry.cpp">
-      <Filter>include\utils</Filter>
+      <Filter>utils</Filter>
     </ClCompile>
     <ClCompile Include="utils\sysLogger.cpp">
-      <Filter>include\utils</Filter>
+      <Filter>utils</Filter>
     </ClCompile>
     <ClCompile Include="utils\sysProcess.cpp">
-      <Filter>include\utils</Filter>
+      <Filter>utils</Filter>
     </ClCompile>
     <ClCompile Include="utils\sysSettings.cpp">
-      <Filter>include\utils</Filter>
+      <Filter>utils</Filter>
     </ClCompile>
     <ClCompile Include="utils\tabcomplete.c">
-      <Filter>include\utils</Filter>
+      <Filter>utils</Filter>
     </ClCompile>
     <ClCompile Include="utils\utffile.cpp">
-      <Filter>include\utils</Filter>
+      <Filter>utils</Filter>
     </ClCompile>
     <ClCompile Include="debugger\ctlCodeWindow.cpp">
-      <Filter>include\debugger</Filter>
+      <Filter>debugger</Filter>
     </ClCompile>
     <ClCompile Include="debugger\ctlMessageWindow.cpp">
-      <Filter>include\debugger</Filter>
+      <Filter>debugger</Filter>
     </ClCompile>
     <ClCompile Include="debugger\ctlResultGrid.cpp">
-      <Filter>include\debugger</Filter>
+      <Filter>debugger</Filter>
     </ClCompile>
     <ClCompile Include="debugger\ctlStackWindow.cpp">
-      <Filter>include\debugger</Filter>
+      <Filter>debugger</Filter>
     </ClCompile>
     <ClCompile Include="debugger\ctlTabWindow.cpp">
-      <Filter>include\debugger</Filter>
+      <Filter>debugger</Filter>
     </ClCompile>
     <ClCompile Include="debugger\ctlVarWindow.cpp">
-      <Filter>include\debugger</Filter>
+      <Filter>debugger</Filter>
     </ClCompile>
     <ClCompile Include="debugger\dbgBreakPoint.cpp">
-      <Filter>include\debugger</Filter>
+      <Filter>debugger</Filter>
     </ClCompile>
     <ClCompile Include="debugger\dbgDbResult.cpp">
-      <Filter>include\debugger</Filter>
+      <Filter>debugger</Filter>
     </ClCompile>
     <ClCompile Include="debugger\dbgPgConn.cpp">
-      <Filter>include\debugger</Filter>
+      <Filter>debugger</Filter>
     </ClCompile>
     <ClCompile Include="debugger\dbgPgThread.cpp">
-      <Filter>include\debugger</Filter>
+      <Filter>debugger</Filter>
     </ClCompile>
     <ClCompile Include="debugger\dbgResultset.cpp">
-      <Filter>include\debugger</Filter>
+      <Filter>debugger</Filter>
     </ClCompile>
     <ClCompile Include="debugger\dbgTargetInfo.cpp">
-      <Filter>include\debugger</Filter>
+      <Filter>debugger</Filter>
     </ClCompile>
     <ClCompile Include="debugger\debugger.cpp">
-      <Filter>include\debugger</Filter>
+      <Filter>debugger</Filter>
     </ClCompile>
     <ClCompile Include="debugger\dlgDirectDbg.cpp">
-      <Filter>include\debugger</Filter>
+      <Filter>debugger</Filter>
     </ClCompile>
     <ClCompile Include="debugger\frmDebugger.cpp">
-      <Filter>include\debugger</Filter>
+      <Filter>debugger</Filter>
     </ClCompile>
     <ClCompile Include="gqb\gqbArrayCollection.cpp">
-      <Filter>include\gqb</Filter>
+      <Filter>gqb</Filter>
     </ClCompile>
     <ClCompile Include="gqb\gqbBrowser.cpp">
-      <Filter>include\gqb</Filter>
+      <Filter>gqb</Filter>
     </ClCompile>
     <ClCompile Include="gqb\gqbCollection.cpp">
-      <Filter>include\gqb</Filter>
+      <Filter>gqb</Filter>
     </ClCompile>
     <ClCompile Include="gqb\gqbColumn.cpp">
-      <Filter>include\gqb</Filter>
+      <Filter>gqb</Filter>
     </ClCompile>
     <ClCompile Include="gqb\gqbController.cpp">
-      <Filter>include\gqb</Filter>
+      <Filter>gqb</Filter>
     </ClCompile>
     <ClCompile Include="gqb\gqbDatabase.cpp">
-      <Filter>include\gqb</Filter>
+      <Filter>gqb</Filter>
     </ClCompile>
     <ClCompile Include="gqb\gqbGraphSimple.cpp">
-      <Filter>include\gqb</Filter>
+      <Filter>gqb</Filter>
     </ClCompile>
     <ClCompile Include="gqb\gqbGridJoinTable.cpp">
-      <Filter>include\gqb</Filter>
+      <Filter>gqb</Filter>
     </ClCompile>
     <ClCompile Include="gqb\gqbGridOrderTable.cpp">
-      <Filter>include\gqb</Filter>
+      <Filter>gqb</Filter>
     </ClCompile>
     <ClCompile Include="gqb\gqbGridProjTable.cpp">
-      <Filter>include\gqb</Filter>
+      <Filter>gqb</Filter>
     </ClCompile>
     <ClCompile Include="gqb\gqbGridRestTable.cpp">
-      <Filter>include\gqb</Filter>
+      <Filter>gqb</Filter>
     </ClCompile>
     <ClCompile Include="gqb\gqbModel.cpp">
-      <Filter>include\gqb</Filter>
+      <Filter>gqb</Filter>
     </ClCompile>
     <ClCompile Include="gqb\gqbObject.cpp">
-      <Filter>include\gqb</Filter>
+      <Filter>gqb</Filter>
     </ClCompile>
     <ClCompile Include="gqb\gqbObjectCollection.cpp">
-      <Filter>include\gqb</Filter>
+      <Filter>gqb</Filter>
     </ClCompile>
     <ClCompile Include="gqb\gqbQueryObjs.cpp">
-      <Filter>include\gqb</Filter>
+      <Filter>gqb</Filter>
     </ClCompile>
     <ClCompile Include="gqb\gqbSchema.cpp">
-      <Filter>include\gqb</Filter>
+      <Filter>gqb</Filter>
     </ClCompile>
     <ClCompile Include="gqb\gqbTable.cpp">
-      <Filter>include\gqb</Filter>
+      <Filter>gqb</Filter>
     </ClCompile>
     <ClCompile Include="gqb\gqbView.cpp">
-      <Filter>include\gqb</Filter>
+      <Filter>gqb</Filter>
     </ClCompile>
     <ClCompile Include="gqb\gqbViewPanels.cpp">
-      <Filter>include\gqb</Filter>
+      <Filter>gqb</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\lex.pgs.cc">
-      <Filter>include\pgscript</Filter>
+      <Filter>pgscript</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\parser.tab.cc">
-      <Filter>include\pgscript</Filter>
+      <Filter>pgscript</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\pgsApplication.cpp">
-      <Filter>include\pgscript</Filter>
+      <Filter>pgscript</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\exceptions\pgsArithmeticException.cpp">
-      <Filter>include\pgscript\exceptions</Filter>
+      <Filter>pgscript\exceptions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\exceptions\pgsAssertException.cpp">
-      <Filter>include\pgscript\exceptions</Filter>
+      <Filter>pgscript\exceptions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\exceptions\pgsBreakException.cpp">
-      <Filter>include\pgscript\exceptions</Filter>
+      <Filter>pgscript\exceptions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\exceptions\pgsCastException.cpp">
-      <Filter>include\pgscript\exceptions</Filter>
+      <Filter>pgscript\exceptions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\exceptions\pgsContinueException.cpp">
-      <Filter>include\pgscript\exceptions</Filter>
+      <Filter>pgscript\exceptions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\exceptions\pgsException.cpp">
-      <Filter>include\pgscript\exceptions</Filter>
+      <Filter>pgscript\exceptions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\exceptions\pgsInterruptException.cpp">
-      <Filter>include\pgscript\exceptions</Filter>
+      <Filter>pgscript\exceptions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\exceptions\pgsParameterException.cpp">
-      <Filter>include\pgscript\exceptions</Filter>
+      <Filter>pgscript\exceptions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\expressions\pgsAnd.cpp">
-      <Filter>include\pgscript\expressions</Filter>
+      <Filter>pgscript\expressions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\expressions\pgsAssign.cpp">
-      <Filter>include\pgscript\expressions</Filter>
+      <Filter>pgscript\expressions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\expressions\pgsAssignToRecord.cpp">
-      <Filter>include\pgscript\expressions</Filter>
+      <Filter>pgscript\expressions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\expressions\pgsCast.cpp">
-      <Filter>include\pgscript\expressions</Filter>
+      <Filter>pgscript\expressions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\expressions\pgsColumns.cpp">
-      <Filter>include\pgscript\expressions</Filter>
+      <Filter>pgscript\expressions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\expressions\pgsDifferent.cpp">
-      <Filter>include\pgscript\expressions</Filter>
+      <Filter>pgscript\expressions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\expressions\pgsEqual.cpp">
-      <Filter>include\pgscript\expressions</Filter>
+      <Filter>pgscript\expressions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\expressions\pgsExecute.cpp">
-      <Filter>include\pgscript\expressions</Filter>
+      <Filter>pgscript\expressions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\expressions\pgsExpression.cpp">
-      <Filter>include\pgscript\expressions</Filter>
+      <Filter>pgscript\expressions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\expressions\pgsGenDate.cpp">
-      <Filter>include\pgscript\expressions</Filter>
+      <Filter>pgscript\expressions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\expressions\pgsGenDateTime.cpp">
-      <Filter>include\pgscript\expressions</Filter>
+      <Filter>pgscript\expressions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\expressions\pgsGenDictionary.cpp">
-      <Filter>include\pgscript\expressions</Filter>
+      <Filter>pgscript\expressions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\expressions\pgsGenInt.cpp">
-      <Filter>include\pgscript\expressions</Filter>
+      <Filter>pgscript\expressions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\expressions\pgsGenReal.cpp">
-      <Filter>include\pgscript\expressions</Filter>
+      <Filter>pgscript\expressions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\expressions\pgsGenReference.cpp">
-      <Filter>include\pgscript\expressions</Filter>
+      <Filter>pgscript\expressions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\expressions\pgsGenRegex.cpp">
-      <Filter>include\pgscript\expressions</Filter>
+      <Filter>pgscript\expressions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\expressions\pgsGenString.cpp">
-      <Filter>include\pgscript\expressions</Filter>
+      <Filter>pgscript\expressions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\expressions\pgsGenTime.cpp">
-      <Filter>include\pgscript\expressions</Filter>
+      <Filter>pgscript\expressions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\expressions\pgsGreater.cpp">
-      <Filter>include\pgscript\expressions</Filter>
+      <Filter>pgscript\expressions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\expressions\pgsGreaterEqual.cpp">
-      <Filter>include\pgscript\expressions</Filter>
+      <Filter>pgscript\expressions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\expressions\pgsIdent.cpp">
-      <Filter>include\pgscript\expressions</Filter>
+      <Filter>pgscript\expressions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\expressions\pgsIdentRecord.cpp">
-      <Filter>include\pgscript\expressions</Filter>
+      <Filter>pgscript\expressions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\expressions\pgsLines.cpp">
-      <Filter>include\pgscript\expressions</Filter>
+      <Filter>pgscript\expressions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\expressions\pgsLower.cpp">
-      <Filter>include\pgscript\expressions</Filter>
+      <Filter>pgscript\expressions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\expressions\pgsLowerEqual.cpp">
-      <Filter>include\pgscript\expressions</Filter>
+      <Filter>pgscript\expressions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\expressions\pgsMinus.cpp">
-      <Filter>include\pgscript\expressions</Filter>
+      <Filter>pgscript\expressions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\expressions\pgsModulo.cpp">
-      <Filter>include\pgscript\expressions</Filter>
+      <Filter>pgscript\expressions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\expressions\pgsNegate.cpp">
-      <Filter>include\pgscript\expressions</Filter>
+      <Filter>pgscript\expressions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\expressions\pgsNot.cpp">
-      <Filter>include\pgscript\expressions</Filter>
+      <Filter>pgscript\expressions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\expressions\pgsOperation.cpp">
-      <Filter>include\pgscript\expressions</Filter>
+      <Filter>pgscript\expressions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\expressions\pgsOr.cpp">
-      <Filter>include\pgscript\expressions</Filter>
+      <Filter>pgscript\expressions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\expressions\pgsOver.cpp">
-      <Filter>include\pgscript\expressions</Filter>
+      <Filter>pgscript\expressions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\expressions\pgsParenthesis.cpp">
-      <Filter>include\pgscript\expressions</Filter>
+      <Filter>pgscript\expressions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\expressions\pgsPlus.cpp">
-      <Filter>include\pgscript\expressions</Filter>
+      <Filter>pgscript\expressions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\expressions\pgsRemoveLine.cpp">
-      <Filter>include\pgscript\expressions</Filter>
+      <Filter>pgscript\expressions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\expressions\pgsTimes.cpp">
-      <Filter>include\pgscript\expressions</Filter>
+      <Filter>pgscript\expressions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\expressions\pgsTrim.cpp">
-      <Filter>include\pgscript\expressions</Filter>
+      <Filter>pgscript\expressions</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\generators\pgsDateGen.cpp">
-      <Filter>include\pgscript\generators</Filter>
+      <Filter>pgscript\generators</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\generators\pgsDateTimeGen.cpp">
-      <Filter>include\pgscript\generators</Filter>
+      <Filter>pgscript\generators</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\generators\pgsDictionaryGen.cpp">
-      <Filter>include\pgscript\generators</Filter>
+      <Filter>pgscript\generators</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\generators\pgsIntegerGen.cpp">
-      <Filter>include\pgscript\generators</Filter>
+      <Filter>pgscript\generators</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\generators\pgsNumberGen.cpp">
-      <Filter>include\pgscript\generators</Filter>
+      <Filter>pgscript\generators</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\generators\pgsObjectGen.cpp">
-      <Filter>include\pgscript\generators</Filter>
+      <Filter>pgscript\generators</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\generators\pgsRealGen.cpp">
-      <Filter>include\pgscript\generators</Filter>
+      <Filter>pgscript\generators</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\generators\pgsReferenceGen.cpp">
-      <Filter>include\pgscript\generators</Filter>
+      <Filter>pgscript\generators</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\generators\pgsRegexGen.cpp">
-      <Filter>include\pgscript\generators</Filter>
+      <Filter>pgscript\generators</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\generators\pgsStringGen.cpp">
-      <Filter>include\pgscript\generators</Filter>
+      <Filter>pgscript\generators</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\generators\pgsTimeGen.cpp">
-      <Filter>include\pgscript\generators</Filter>
+      <Filter>pgscript\generators</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\objects\pgsGenerator.cpp">
-      <Filter>include\pgscript\objects</Filter>
+      <Filter>pgscript\objects</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\objects\pgsNumber.cpp">
-      <Filter>include\pgscript\objects</Filter>
+      <Filter>pgscript\objects</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\objects\pgsRecord.cpp">
-      <Filter>include\pgscript\objects</Filter>
+      <Filter>pgscript\objects</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\objects\pgsString.cpp">
-      <Filter>include\pgscript\objects</Filter>
+      <Filter>pgscript\objects</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\objects\pgsVariable.cpp">
-      <Filter>include\pgscript\objects</Filter>
+      <Filter>pgscript\objects</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\statements\pgsAssertStmt.cpp">
-      <Filter>include\pgscript\statements</Filter>
+      <Filter>pgscript\statements</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\statements\pgsBreakStmt.cpp">
-      <Filter>include\pgscript\statements</Filter>
+      <Filter>pgscript\statements</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\statements\pgsContinueStmt.cpp">
-      <Filter>include\pgscript\statements</Filter>
+      <Filter>pgscript\statements</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\statements\pgsDeclareRecordStmt.cpp">
-      <Filter>include\pgscript\statements</Filter>
+      <Filter>pgscript\statements</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\statements\pgsExpressionStmt.cpp">
-      <Filter>include\pgscript\statements</Filter>
+      <Filter>pgscript\statements</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\statements\pgsIfStmt.cpp">
-      <Filter>include\pgscript\statements</Filter>
+      <Filter>pgscript\statements</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\statements\pgsPrintStmt.cpp">
-      <Filter>include\pgscript\statements</Filter>
+      <Filter>pgscript\statements</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\statements\pgsProgram.cpp">
-      <Filter>include\pgscript\statements</Filter>
+      <Filter>pgscript\statements</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\statements\pgsStmt.cpp">
-      <Filter>include\pgscript\statements</Filter>
+      <Filter>pgscript\statements</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\statements\pgsStmtList.cpp">
-      <Filter>include\pgscript\statements</Filter>
+      <Filter>pgscript\statements</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\statements\pgsWhileStmt.cpp">
-      <Filter>include\pgscript\statements</Filter>
+      <Filter>pgscript\statements</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\pgsAlloc.cpp">
-      <Filter>include\pgscript\utilities</Filter>
+      <Filter>pgscript\utilities</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\pgsContext.cpp">
-      <Filter>include\pgscript\utilities</Filter>
+      <Filter>pgscript\utilities</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\pgsDriver.cpp">
-      <Filter>include\pgscript\utilities</Filter>
+      <Filter>pgscript\utilities</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\pgsMapm.cpp">
-      <Filter>include\pgscript\utilities</Filter>
+      <Filter>pgscript\utilities</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\pgsThread.cpp">
-      <Filter>include\pgscript\utilities</Filter>
+      <Filter>pgscript\utilities</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\pgsUtilities.cpp">
-      <Filter>include\pgscript\utilities</Filter>
+      <Filter>pgscript\utilities</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\m_apm\mapm5sin.cpp">
-      <Filter>include\pgscript\utilities\m_apm</Filter>
+      <Filter>pgscript\utilities\m_apm</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\m_apm\mapm_add.cpp">
-      <Filter>include\pgscript\utilities\m_apm</Filter>
+      <Filter>pgscript\utilities\m_apm</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\m_apm\mapm_cpi.cpp">
-      <Filter>include\pgscript\utilities\m_apm</Filter>
+      <Filter>pgscript\utilities\m_apm</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\m_apm\mapm_div.cpp">
-      <Filter>include\pgscript\utilities\m_apm</Filter>
+      <Filter>pgscript\utilities\m_apm</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\m_apm\mapm_exp.cpp">
-      <Filter>include\pgscript\utilities\m_apm</Filter>
+      <Filter>pgscript\utilities\m_apm</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\m_apm\mapm_fam.cpp">
-      <Filter>include\pgscript\utilities\m_apm</Filter>
+      <Filter>pgscript\utilities\m_apm</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\m_apm\mapm_fft.cpp">
-      <Filter>include\pgscript\utilities\m_apm</Filter>
+      <Filter>pgscript\utilities\m_apm</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\m_apm\mapm_flr.cpp">
-      <Filter>include\pgscript\utilities\m_apm</Filter>
+      <Filter>pgscript\utilities\m_apm</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\m_apm\mapm_fpf.cpp">
-      <Filter>include\pgscript\utilities\m_apm</Filter>
+      <Filter>pgscript\utilities\m_apm</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\m_apm\mapm_gcd.cpp">
-      <Filter>include\pgscript\utilities\m_apm</Filter>
+      <Filter>pgscript\utilities\m_apm</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\m_apm\mapm_lg2.cpp">
-      <Filter>include\pgscript\utilities\m_apm</Filter>
+      <Filter>pgscript\utilities\m_apm</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\m_apm\mapm_lg3.cpp">
-      <Filter>include\pgscript\utilities\m_apm</Filter>
+      <Filter>pgscript\utilities\m_apm</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\m_apm\mapm_lg4.cpp">
-      <Filter>include\pgscript\utilities\m_apm</Filter>
+      <Filter>pgscript\utilities\m_apm</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\m_apm\mapm_log.cpp">
-      <Filter>include\pgscript\utilities\m_apm</Filter>
+      <Filter>pgscript\utilities\m_apm</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\m_apm\mapm_mul.cpp">
-      <Filter>include\pgscript\utilities\m_apm</Filter>
+      <Filter>pgscript\utilities\m_apm</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\m_apm\mapm_pow.cpp">
-      <Filter>include\pgscript\utilities\m_apm</Filter>
+      <Filter>pgscript\utilities\m_apm</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\m_apm\mapm_rcp.cpp">
-      <Filter>include\pgscript\utilities\m_apm</Filter>
+      <Filter>pgscript\utilities\m_apm</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\m_apm\mapm_rnd.cpp">
-      <Filter>include\pgscript\utilities\m_apm</Filter>
+      <Filter>pgscript\utilities\m_apm</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\m_apm\mapm_set.cpp">
-      <Filter>include\pgscript\utilities\m_apm</Filter>
+      <Filter>pgscript\utilities\m_apm</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\m_apm\mapm_sin.cpp">
-      <Filter>include\pgscript\utilities\m_apm</Filter>
+      <Filter>pgscript\utilities\m_apm</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\m_apm\mapmasin.cpp">
-      <Filter>include\pgscript\utilities\m_apm</Filter>
+      <Filter>pgscript\utilities\m_apm</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\m_apm\mapmasn0.cpp">
-      <Filter>include\pgscript\utilities\m_apm</Filter>
+      <Filter>pgscript\utilities\m_apm</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\m_apm\mapmcbrt.cpp">
-      <Filter>include\pgscript\utilities\m_apm</Filter>
+      <Filter>pgscript\utilities\m_apm</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\m_apm\mapmcnst.cpp">
-      <Filter>include\pgscript\utilities\m_apm</Filter>
+      <Filter>pgscript\utilities\m_apm</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\m_apm\mapmfact.cpp">
-      <Filter>include\pgscript\utilities\m_apm</Filter>
+      <Filter>pgscript\utilities\m_apm</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\m_apm\mapmfmul.cpp">
-      <Filter>include\pgscript\utilities\m_apm</Filter>
+      <Filter>pgscript\utilities\m_apm</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\m_apm\mapmgues.cpp">
-      <Filter>include\pgscript\utilities\m_apm</Filter>
+      <Filter>pgscript\utilities\m_apm</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\m_apm\mapmhasn.cpp">
-      <Filter>include\pgscript\utilities\m_apm</Filter>
+      <Filter>pgscript\utilities\m_apm</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\m_apm\mapmhsin.cpp">
-      <Filter>include\pgscript\utilities\m_apm</Filter>
+      <Filter>pgscript\utilities\m_apm</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\m_apm\mapmipwr.cpp">
-      <Filter>include\pgscript\utilities\m_apm</Filter>
+      <Filter>pgscript\utilities\m_apm</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\m_apm\mapmistr.cpp">
-      <Filter>include\pgscript\utilities\m_apm</Filter>
+      <Filter>pgscript\utilities\m_apm</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\m_apm\mapmpwr2.cpp">
-      <Filter>include\pgscript\utilities\m_apm</Filter>
+      <Filter>pgscript\utilities\m_apm</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\m_apm\mapmrsin.cpp">
-      <Filter>include\pgscript\utilities\m_apm</Filter>
+      <Filter>pgscript\utilities\m_apm</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\m_apm\mapmsqrt.cpp">
-      <Filter>include\pgscript\utilities\m_apm</Filter>
+      <Filter>pgscript\utilities\m_apm</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\m_apm\mapmstck.cpp">
-      <Filter>include\pgscript\utilities\m_apm</Filter>
+      <Filter>pgscript\utilities\m_apm</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\m_apm\mapmutil.cpp">
-      <Filter>include\pgscript\utilities\m_apm</Filter>
+      <Filter>pgscript\utilities\m_apm</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\m_apm\mapmutl1.cpp">
-      <Filter>include\pgscript\utilities\m_apm</Filter>
+      <Filter>pgscript\utilities\m_apm</Filter>
     </ClCompile>
     <ClCompile Include="pgscript\utilities\m_apm\mapmutl2.cpp">
-      <Filter>include\pgscript\utilities\m_apm</Filter>
+      <Filter>pgscript\utilities\m_apm</Filter>
     </ClCompile>
     <ClCompile Include="ogl\basic.cpp">
-      <Filter>include\ogl</Filter>
+      <Filter>ogl</Filter>
     </ClCompile>
     <ClCompile Include="ogl\basic2.cpp">
-      <Filter>include\ogl</Filter>
+      <Filter>ogl</Filter>
     </ClCompile>
     <ClCompile Include="ogl\bmpshape.cpp">
-      <Filter>include\ogl</Filter>
+      <Filter>ogl</Filter>
     </ClCompile>
     <ClCompile Include="ogl\canvas.cpp">
-      <Filter>include\ogl</Filter>
+      <Filter>ogl</Filter>
     </ClCompile>
     <ClCompile Include="ogl\composit.cpp">
-      <Filter>include\ogl</Filter>
+      <Filter>ogl</Filter>
     </ClCompile>
     <ClCompile Include="ogl\constrnt.cpp">
-      <Filter>include\ogl</Filter>
+      <Filter>ogl</Filter>
     </ClCompile>
     <ClCompile Include="ogl\divided.cpp">
-      <Filter>include\ogl</Filter>
+      <Filter>ogl</Filter>
     </ClCompile>
     <ClCompile Include="ogl\drawn.cpp">
-      <Filter>include\ogl</Filter>
+      <Filter>ogl</Filter>
     </ClCompile>
     <ClCompile Include="ogl\lines.cpp">
-      <Filter>include\ogl</Filter>
+      <Filter>ogl</Filter>
     </ClCompile>
     <ClCompile Include="ogl\mfutils.cpp">
-      <Filter>include\ogl</Filter>
+      <Filter>ogl</Filter>
     </ClCompile>
     <ClCompile Include="ogl\ogldiag.cpp">
-      <Filter>include\ogl</Filter>
+      <Filter>ogl</Filter>
     </ClCompile>
     <ClCompile Include="ogl\oglmisc.cpp">
-      <Filter>include\ogl</Filter>
+      <Filter>ogl</Filter>
     </ClCompile>
     <ClCompile Include="dd\dditems\figures\ddColumnFigure.cpp">
-      <Filter>include\dd\dditems\figures</Filter>
+      <Filter>dd\dditems\figures</Filter>
     </ClCompile>
     <ClCompile Include="dd\dditems\figures\ddColumnKindIcon.cpp">
-      <Filter>include\dd\dditems\figures</Filter>
+      <Filter>dd\dditems\figures</Filter>
     </ClCompile>
     <ClCompile Include="dd\dditems\figures\ddColumnOptionIcon.cpp">
-      <Filter>include\dd\dditems\figures</Filter>
+      <Filter>dd\dditems\figures</Filter>
     </ClCompile>
     <ClCompile Include="dd\dditems\figures\ddRelationshipFigure.cpp">
-      <Filter>include\dd\dditems\figures</Filter>
+      <Filter>dd\dditems\figures</Filter>
     </ClCompile>
     <ClCompile Include="dd\dditems\figures\ddRelationshipItem.cpp">
-      <Filter>include\dd\dditems\figures</Filter>
+      <Filter>dd\dditems\figures</Filter>
     </ClCompile>
     <ClCompile Include="dd\dditems\figures\ddRelationshipTerminal.cpp">
-      <Filter>include\dd\dditems\figures</Filter>
+      <Filter>dd\dditems\figures</Filter>
     </ClCompile>
     <ClCompile Include="dd\dditems\figures\ddTableFigure.cpp">
-      <Filter>include\dd\dditems\figures</Filter>
+      <Filter>dd\dditems\figures</Filter>
     </ClCompile>
     <ClCompile Include="dd\dditems\figures\ddTextTableItemFigure.cpp">
-      <Filter>include\dd\dditems\figures</Filter>
+      <Filter>dd\dditems\figures</Filter>
     </ClCompile>
     <ClCompile Include="dd\dditems\figures\xml\ddXmlStorage.cpp">
-      <Filter>include\dd\dditems\figures\xml</Filter>
+      <Filter>dd\dditems\figures\xml</Filter>
     </ClCompile>
     <ClCompile Include="dd\dditems\handles\ddAddColButtonHandle.cpp">
-      <Filter>include\dd\dditems\handles</Filter>
+      <Filter>dd\dditems\handles</Filter>
     </ClCompile>
     <ClCompile Include="dd\dditems\handles\ddAddFkButtonHandle.cpp">
-      <Filter>include\dd\dditems\handles</Filter>
+      <Filter>dd\dditems\handles</Filter>
     </ClCompile>
     <ClCompile Include="dd\dditems\handles\ddMinMaxTableButtonHandle.cpp">
-      <Filter>include\dd\dditems\handles</Filter>
+      <Filter>dd\dditems\handles</Filter>
     </ClCompile>
     <ClCompile Include="dd\dditems\handles\ddRemoveTableButtonHandle.cpp">
-      <Filter>include\dd\dditems\handles</Filter>
+      <Filter>dd\dditems\handles</Filter>
     </ClCompile>
     <ClCompile Include="dd\dditems\handles\ddScrollBarHandle.cpp">
-      <Filter>include\dd\dditems\handles</Filter>
+      <Filter>dd\dditems\handles</Filter>
     </ClCompile>
     <ClCompile Include="dd\dditems\handles\ddSouthTableSizeHandle.cpp">
-      <Filter>include\dd\dditems\handles</Filter>
+      <Filter>dd\dditems\handles</Filter>
     </ClCompile>
     <ClCompile Include="dd\dditems\locators\ddAddColLocator.cpp">
-      <Filter>include\dd\dditems\locators</Filter>
+      <Filter>dd\dditems\locators</Filter>
     </ClCompile>
     <ClCompile Include="dd\dditems\locators\ddAddFkLocator.cpp">
-      <Filter>include\dd\dditems\locators</Filter>
+      <Filter>dd\dditems\locators</Filter>
     </ClCompile>
     <ClCompile Include="dd\dditems\locators\ddMinMaxTableLocator.cpp">
-      <Filter>include\dd\dditems\locators</Filter>
+      <Filter>dd\dditems\locators</Filter>
     </ClCompile>
     <ClCompile Include="dd\dditems\locators\ddRemoveTableLocator.cpp">
-      <Filter>include\dd\dditems\locators</Filter>
+      <Filter>dd\dditems\locators</Filter>
     </ClCompile>
     <ClCompile Include="dd\dditems\locators\ddScrollBarTableLocator.cpp">
-      <Filter>include\dd\dditems\locators</Filter>
+      <Filter>dd\dditems\locators</Filter>
     </ClCompile>
     <ClCompile Include="dd\dditems\locators\ddTableBottomLocator.cpp">
-      <Filter>include\dd\dditems\locators</Filter>
+      <Filter>dd\dditems\locators</Filter>
     </ClCompile>
     <ClCompile Include="dd\dditems\tools\ddColumnFigureTool.cpp">
-      <Filter>include\dd\dditems\tools</Filter>
+      <Filter>dd\dditems\tools</Filter>
     </ClCompile>
     <ClCompile Include="dd\dditems\tools\ddColumnTextTool.cpp">
-      <Filter>include\dd\dditems\tools</Filter>
+      <Filter>dd\dditems\tools</Filter>
     </ClCompile>
     <ClCompile Include="dd\dditems\utilities\ddPrecisionScaleDialog.cpp">
-      <Filter>include\dd\dditems\utilities</Filter>
+      <Filter>dd\dditems\utilities</Filter>
     </ClCompile>
     <ClCompile Include="dd\dditems\utilities\ddSelectKindFksDialog.cpp">
-      <Filter>include\dd\dditems\utilities</Filter>
+      <Filter>dd\dditems\utilities</Filter>
     </ClCompile>
     <ClCompile Include="dd\dditems\utilities\ddTableNameDialog.cpp">
-      <Filter>include\dd\dditems\utilities</Filter>
+      <Filter>dd\dditems\utilities</Filter>
     </ClCompile>
     <ClCompile Include="dd\ddmodel\ddBrowserDataContainer.cpp">
-      <Filter>include\dd\ddmodel</Filter>
+      <Filter>dd\ddmodel</Filter>
     </ClCompile>
     <ClCompile Include="dd\ddmodel\ddDatabaseDesign.cpp">
-      <Filter>include\dd\ddmodel</Filter>
+      <Filter>dd\ddmodel</Filter>
     </ClCompile>
     <ClCompile Include="dd\ddmodel\ddDBReverseEnginering.cpp">
-      <Filter>include\dd\ddmodel</Filter>
+      <Filter>dd\ddmodel</Filter>
     </ClCompile>
     <ClCompile Include="dd\ddmodel\ddDrawingEditor.cpp">
-      <Filter>include\dd\ddmodel</Filter>
+      <Filter>dd\ddmodel</Filter>
     </ClCompile>
     <ClCompile Include="dd\ddmodel\ddDrawingView.cpp">
-      <Filter>include\dd\ddmodel</Filter>
+      <Filter>dd\ddmodel</Filter>
     </ClCompile>
     <ClCompile Include="dd\ddmodel\ddGenerationWizard.cpp">
-      <Filter>include\dd\ddmodel</Filter>
+      <Filter>dd\ddmodel</Filter>
     </ClCompile>
     <ClCompile Include="dd\ddmodel\ddModelBrowser.cpp">
-      <Filter>include\dd\ddmodel</Filter>
+      <Filter>dd\ddmodel</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\connectors\hdChopBoxConnector.cpp">
-      <Filter>include\hotdraw\connectors</Filter>
+      <Filter>hotdraw\connectors</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\connectors\hdIConnector.cpp">
-      <Filter>include\hotdraw\connectors</Filter>
+      <Filter>hotdraw\connectors</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\connectors\hdLocatorConnector.cpp">
-      <Filter>include\hotdraw\connectors</Filter>
+      <Filter>hotdraw\connectors</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\connectors\hdStickyRectangleConnector.cpp">
-      <Filter>include\hotdraw\connectors</Filter>
+      <Filter>hotdraw\connectors</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\figures\hdAbstractFigure.cpp">
-      <Filter>include\hotdraw\figures</Filter>
+      <Filter>hotdraw\figures</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\figures\hdAbstractMenuFigure.cpp">
-      <Filter>include\hotdraw\figures</Filter>
+      <Filter>hotdraw\figures</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\figures\hdAttribute.cpp">
-      <Filter>include\hotdraw\figures</Filter>
+      <Filter>hotdraw\figures</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\figures\hdAttributeFigure.cpp">
-      <Filter>include\hotdraw\figures</Filter>
+      <Filter>hotdraw\figures</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\figures\hdBitmapFigure.cpp">
-      <Filter>include\hotdraw\figures</Filter>
+      <Filter>hotdraw\figures</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\figures\hdCompositeFigure.cpp">
-      <Filter>include\hotdraw\figures</Filter>
+      <Filter>hotdraw\figures</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\figures\hdIConnectionFigure.cpp">
-      <Filter>include\hotdraw\figures</Filter>
+      <Filter>hotdraw\figures</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\figures\hdIFigure.cpp">
-      <Filter>include\hotdraw\figures</Filter>
+      <Filter>hotdraw\figures</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\figures\hdLineConnection.cpp">
-      <Filter>include\hotdraw\figures</Filter>
+      <Filter>hotdraw\figures</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\figures\hdLineTerminal.cpp">
-      <Filter>include\hotdraw\figures</Filter>
+      <Filter>hotdraw\figures</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\figures\hdPolyLineFigure.cpp">
-      <Filter>include\hotdraw\figures</Filter>
+      <Filter>hotdraw\figures</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\figures\hdRectangleFigure.cpp">
-      <Filter>include\hotdraw\figures</Filter>
+      <Filter>hotdraw\figures</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\figures\hdSimpleTextFigure.cpp">
-      <Filter>include\hotdraw\figures</Filter>
+      <Filter>hotdraw\figures</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\figures\defaultAttributes\hdFillAttribute.cpp">
-      <Filter>include\hotdraw\figures\defaultAttributes</Filter>
+      <Filter>hotdraw\figures\defaultAttributes</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\figures\defaultAttributes\hdFontAttribute.cpp">
-      <Filter>include\hotdraw\figures\defaultAttributes</Filter>
+      <Filter>hotdraw\figures\defaultAttributes</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\figures\defaultAttributes\hdFontColorAttribute.cpp">
-      <Filter>include\hotdraw\figures\defaultAttributes</Filter>
+      <Filter>hotdraw\figures\defaultAttributes</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\figures\defaultAttributes\hdLineAttribute.cpp">
-      <Filter>include\hotdraw\figures\defaultAttributes</Filter>
+      <Filter>hotdraw\figures\defaultAttributes</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\figures\xml\hdStorage.cpp">
-      <Filter>include\hotdraw\figures\xml</Filter>
+      <Filter>hotdraw\figures\xml</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\handles\hdButtonHandle.cpp">
-      <Filter>include\hotdraw\handles</Filter>
+      <Filter>hotdraw\handles</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\handles\hdChangeConnectionEndHandle.cpp">
-      <Filter>include\hotdraw\handles</Filter>
+      <Filter>hotdraw\handles</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\handles\hdChangeConnectionHandle.cpp">
-      <Filter>include\hotdraw\handles</Filter>
+      <Filter>hotdraw\handles</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\handles\hdChangeConnectionStartHandle.cpp">
-      <Filter>include\hotdraw\handles</Filter>
+      <Filter>hotdraw\handles</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\handles\hdIHandle.cpp">
-      <Filter>include\hotdraw\handles</Filter>
+      <Filter>hotdraw\handles</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\handles\hdLineConnectionHandle.cpp">
-      <Filter>include\hotdraw\handles</Filter>
+      <Filter>hotdraw\handles</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\handles\hdLocatorHandle.cpp">
-      <Filter>include\hotdraw\handles</Filter>
+      <Filter>hotdraw\handles</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\handles\hdPolyLineHandle.cpp">
-      <Filter>include\hotdraw\handles</Filter>
+      <Filter>hotdraw\handles</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\locators\hdILocator.cpp">
-      <Filter>include\hotdraw\locators</Filter>
+      <Filter>hotdraw\locators</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\locators\hdPolyLineLocator.cpp">
-      <Filter>include\hotdraw\locators</Filter>
+      <Filter>hotdraw\locators</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\main\hdDrawing.cpp">
-      <Filter>include\hotdraw\main</Filter>
+      <Filter>hotdraw\main</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\main\hdDrawingEditor.cpp">
-      <Filter>include\hotdraw\main</Filter>
+      <Filter>hotdraw\main</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\main\hdDrawingView.cpp">
-      <Filter>include\hotdraw\main</Filter>
+      <Filter>hotdraw\main</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\tools\hdAbstractTool.cpp">
-      <Filter>include\hotdraw\tools</Filter>
+      <Filter>hotdraw\tools</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\tools\hdCanvasMenuTool.cpp">
-      <Filter>include\hotdraw\tools</Filter>
+      <Filter>hotdraw\tools</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\tools\hdCompositeFigureTool.cpp">
-      <Filter>include\hotdraw\tools</Filter>
+      <Filter>hotdraw\tools</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\tools\hdConnectionCreationTool.cpp">
-      <Filter>include\hotdraw\tools</Filter>
+      <Filter>hotdraw\tools</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\tools\hdCreationTool.cpp">
-      <Filter>include\hotdraw\tools</Filter>
+      <Filter>hotdraw\tools</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\tools\hdDragCreationTool.cpp">
-      <Filter>include\hotdraw\tools</Filter>
+      <Filter>hotdraw\tools</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\tools\hdDragTrackerTool.cpp">
-      <Filter>include\hotdraw\tools</Filter>
+      <Filter>hotdraw\tools</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\tools\hdFigureTool.cpp">
-      <Filter>include\hotdraw\tools</Filter>
+      <Filter>hotdraw\tools</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\tools\hdHandleTrackerTool.cpp">
-      <Filter>include\hotdraw\tools</Filter>
+      <Filter>hotdraw\tools</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\tools\hdITool.cpp">
-      <Filter>include\hotdraw\tools</Filter>
+      <Filter>hotdraw\tools</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\tools\hdMenuTool.cpp">
-      <Filter>include\hotdraw\tools</Filter>
+      <Filter>hotdraw\tools</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\tools\hdPolyLineFigureTool.cpp">
-      <Filter>include\hotdraw\tools</Filter>
+      <Filter>hotdraw\tools</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\tools\hdSelectAreaTool.cpp">
-      <Filter>include\hotdraw\tools</Filter>
+      <Filter>hotdraw\tools</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\tools\hdSelectionTool.cpp">
-      <Filter>include\hotdraw\tools</Filter>
+      <Filter>hotdraw\tools</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\tools\hdSimpleTextTool.cpp">
-      <Filter>include\hotdraw\tools</Filter>
+      <Filter>hotdraw\tools</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\utilities\hdArrayCollection.cpp">
-      <Filter>include\hotdraw\utilities</Filter>
+      <Filter>hotdraw\utilities</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\utilities\hdCollection.cpp">
-      <Filter>include\hotdraw\utilities</Filter>
+      <Filter>hotdraw\utilities</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\utilities\hdGeometry.cpp">
-      <Filter>include\hotdraw\utilities</Filter>
+      <Filter>hotdraw\utilities</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\utilities\hdKeyEvent.cpp">
-      <Filter>include\hotdraw\utilities</Filter>
+      <Filter>hotdraw\utilities</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\utilities\hdMouseEvent.cpp">
-      <Filter>include\hotdraw\utilities</Filter>
+      <Filter>hotdraw\utilities</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\utilities\hdMultiPosRect.cpp">
-      <Filter>include\hotdraw\utilities</Filter>
+      <Filter>hotdraw\utilities</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\utilities\hdPoint.cpp">
-      <Filter>include\hotdraw\utilities</Filter>
+      <Filter>hotdraw\utilities</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\utilities\hdRect.cpp">
-      <Filter>include\hotdraw\utilities</Filter>
+      <Filter>hotdraw\utilities</Filter>
     </ClCompile>
     <ClCompile Include="hotdraw\utilities\hdRemoveDeleteDialog.cpp">
-      <Filter>include\hotdraw\utilities</Filter>
+      <Filter>hotdraw\utilities</Filter>
     </ClCompile>
     <ClCompile Include="pgAdmin3.cpp" />
     <ClCompile Include="precomp.cpp" />
+    <ClCompile Include="utils\sshTunnel.cpp">
+      <Filter>utils</Filter>
+    </ClCompile>
   </ItemGroup>
   <ItemGroup>
     <None Include="agent\module.mk">
